<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context="com.hikapro.backpack.view.fragments.ShareFragment"
    android:background="@color/colorListBackground">

    <ImageView
        android:id="@+id/share_image_view"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:src="@drawable/pic"
        android:contentDescription="Share picture"
        android:layout_alignParentTop="true"
        android:layout_centerHorizontal="true"
        android:layout_marginTop="@dimen/margin_standard_plus"/>

    <LinearLayout
        android:id="@+id/share_buttons_layout"
        android:orientation="vertical"
        android:layout_width="match_parent"
        android:layout_height="0dp"

        android:layout_alignParentBottom="true"
        android:layout_below="@id/share_image_view"
        android:layout_marginTop="@dimen/margin_standard_plus">

        <LinearLayout
            android:id="@+id/facebook_container"
            android:orientation="horizontal"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/margin_standard_minus">
            <ImageView
                android:id="@+id/facebook_icon_view"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:src="@drawable/facebook_48"
                android:contentDescription="@string/cd_facebook"
                android:layout_marginLeft="@dimen/margin_standard_minus"/>
            <TextView
                android:id="@+id/facebook_txt"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:gravity="center_vertical"
                android:layout_weight="1"
                android:layout_marginLeft="@dimen/margin_standard_minus"
                android:text="@string/facebook"/>
            <Button
                android:id="@+id/facebook_share_button"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/share_button"
                android:layout_alignParentRight="true"
                android:layout_gravity="right"
                android:background="@color/colorShareBtnBackground"
                android:layout_marginRight="@dimen/margin_standard_minus"/>
        </LinearLayout>

        <LinearLayout
            android:id="@+id/twitter_container"
            android:orientation="horizontal"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/margin_standard_minus">

            <ImageView
                android:id="@+id/twitter_icon_view"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:src="@drawable/twitter_48"
                android:contentDescription="@string/cd_twitter"
                android:layout_marginLeft="@dimen/margin_standard_minus"/>
            <TextView
                android:id="@+id/twitter_txt"
                android:layout_width="0dp"
                android:layout_weight="1"
                android:layout_height="match_parent"
                android:gravity="center_vertical"
                android:layout_marginLeft="@dimen/margin_standard_minus"
                android:text="@string/twitter"/>
            <Button
                android:id="@+id/twitter_share_button"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/share_button"
                android:layout_alignParentRight="true"
                android:layout_gravity="right"
                android:background="@color/colorShareBtnBackground"
                android:layout_marginRight="@dimen/margin_standard_minus"/>
        </LinearLayout>

    </LinearLayout>

</RelativeLayout>
